curl 'https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f/problems' \
-H "Authorization: Bearer your-api-key"
const res = await fetch('https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f/problems', {
headers: { Authorization: 'Bearer your-api-key' },
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);
Call Analysis
Get Problems
Summary of the problems found by an analyzer
GET
/
deep-analytics
/
analysis-agents
/
:agentId
/
problems
curl 'https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f/problems' \
-H "Authorization: Bearer your-api-key"
const res = await fetch('https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f/problems', {
headers: { Authorization: 'Bearer your-api-key' },
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);
Counts of problems by category and severity, plus the top recurring problems (up to 20), each with an example call.
Needs
view on the analyzer.Request
Headers
Path
Query
Response
200{
"success": true,
"data": {
"analyzed": 40,
"with_problems": 7,
"by_category": [
{
"category": "wrong_information",
"problems": 5,
"recordings": 4
}
],
"by_severity": {
"high": 3,
"medium": 3,
"low": 1
},
"top": [
{
"reason": "Wrong refund window",
"category": "wrong_information",
"severity": "high",
"recordings": 4,
"example_call_id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d"
}
]
}
}
Errors
Errors use{ "success": false, "message": "...", "code": "..." }. See the overview for the codes every route can return.
Example
curl 'https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f/problems' \
-H "Authorization: Bearer your-api-key"
const res = await fetch('https://api.60db.ai/deep-analytics/analysis-agents/3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f/problems', {
headers: { Authorization: 'Bearer your-api-key' },
});
const { success, data, message, code } = await res.json();
if (!success) throw new Error(`${code}: ${message}`);